Skip to main content
GET
Get Knowledge Base List

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Query Parameters

page_size
integer
default:30

How many documents to return at maximum. Can not exceed 100, defaults to 30.

Required range: 1 <= x <= 100
search
string | null

If specified, the endpoint returns only such knowledge base documents whose names start with this string.

created_by_user_id
string | null

Filter documents by creator user ID. When set, only documents created by this user are returned. Takes precedence over show_only_owned_documents. Use '@me' to refer to the authenticated user.

types
enum<string>[] | null

If present, the endpoint will return only documents of the given types.

Available options:
file,
url,
text,
folder
parent_folder_id
string | null

If set, the endpoint will return only documents that are direct children of the given folder.

ancestor_folder_id
string | null

If set, the endpoint will return only documents that are descendants of the given folder.

folders_first
boolean
default:false

Whether folders should be returned first in the list of documents.

sort_direction
enum<string>
default:desc

The direction to sort the results

Available options:
asc,
desc
sort_by
enum<string> | null

The field to sort the results by

Available options:
name,
created_at,
updated_at,
size
cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

documents
(GetKnowledgeBaseSummaryURLResponseModel · object | GetKnowledgeBaseSummaryFileResponseModel · object | GetKnowledgeBaseSummaryTextResponseModel · object | GetKnowledgeBaseSummaryFolderResponseModel · object)[]
required
has_more
boolean
required
next_cursor
string | null